#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'nonlelang.info_paket'} ${paket?.pkt_nama}
#{/set}

<ul class="breadcrumb">
    <li><a href="@{BerandaCtr.index()}" >&{'nonlelang.home'}</a></li>
    <li><a href="@{nonlelang.PengadaanLCtr.view(pl.lls_id)}" >&{'nonlelang.info_paket'}</a></li>
    <li class="active">&{'nonlelang.membatalkan_paket_mengulang'}</li>
</ul>
<div class="content">
#{alert /}
#{form @nonlelang.PengadaanLCtr.tutupPlSubmit(pl.lls_id), id:"formSubmit"}
    <table class="table table-sm">
        <tr>
            <td class="bgwarning" width="200">Kode Paket</td>
            <td >${pl.lls_id}</td>
        </tr>
        <tr>
            <td class="bgwarning">Nama Paket</td>
            <td>${pl.namaPaket}</td>
        </tr>
        <tr>
            <td class="bgwarning">Tahap Paket Saat ini</td>
            <td><a href="@{nonlelang.JadwalPlCtr.tahap(pl.lls_id)}" class="jpopup">${tahapNow?.raw()}</a></td>
        </tr>
        <tr>
            <td class="bgwarning">Satuan Kerja</td>
            <td>${pl.paket?.getNamaSatker()}</td>
        </tr>
        <tr>
            <td class="bgwarning">Pengadaan Ke</td>
            <td >${pl.lls_versi_lelang}</td>
        </tr>
        <tr>
            <td class="bgwarning">Alasan membatalkan Paket</td>
            <td>
                <textarea #{if persetujuan != null}readonly#{/if} name="alasan" validate="required" cols="80" rows="7" class="form-control #{validate 'alasan'/}">${pl?.lls_ditutup_karena}</textarea>
                <div class="invalid-feedback">#{error 'alasan'/}</div>
                <div class="bs-callout bs-callout-info">
                    <b>Penting!</b><br />Paket yang sudah dibatalkan tidak dapat diaktifkan kembali, kecuali oleh Admin PPE. Pastikan bahwa terdapat alasan yang kuat dan jelas untuk melakukannya. Seluruh Peserta akan mendapatkan pemberitahuan melalui Inbox SPSE dan Email.
                </div>
            </td>
        </tr>
    </table>
    <input type="hidden" name="actionLelang" id="actionLelang" value="${persetujuan?.pst_jenis?.key}" />

    #{if persetujuan == null}
        <button type="submit" class="btn btn-danger" onClick="return tutupLelang()">&{'nonlelang.membatalkan_paket'}</button>
        <button type="submit" class="btn btn-danger" onClick="return ulangLelang()">&{'nonlelang.mengulangi_paket'}</button>
    #{/if}
    #{else}
        <div class="card card-info">
            <div class="card-header"><b>Status Persetujuan ${persetujuan?.pst_jenis.batal ? "Membatalkan" : "Mengulang"} Tender</b></div>
            #{persetujuanListPl pl.lls_id, pemenang:false, jenisKey:persetujuan?.pst_jenis.key /}
        </div>
        #{if allowPersetujuan}
            <div class="card card-info">
                <div class="card-header"><b>Persetujuan</b></div>
                <div class="card-body">
                    #{paktaIntegritas active_user:active_user/}
                    <div class="form-group">
                        <label><b>Alasan Tidak Setuju</b></label>
                        <textarea id="alasan" name="alasanTidakSetuju" rows="4" cols="50" class="form-control #{validate 'alasan'/}">${pl.findPersetujuan(active_user.pegawaiId, false)?.alasan}</textarea>
                        <div class="invalid-feedback">#{error 'alasan' /}</span>
                    </div>
                    <button type="submit" name="setuju" id="setuju" value="true" class="btn btn-primary">&{'nonlelang.setuju'}</button>
                    <button type="submit" name="setuju" id="tidak-setuju" value="false" class="btn btn-danger">&{'nonlelang.tidak_setuju'}</button>
                </div>
            </div>
        #{/if}
    #{/else}
    #{backButton action:@nonlelang.PengadaanLCtr.view(pl.lls_id) /}
#{/form}
</div>

#{set 'custom_script'}
<script type="text/javascript">
    function tutupLelang() {
        $("#actionLelang").val("tutup")
        return confirm('&{'nonlelang.confirm_membatalkan'}');
    }
    function ulangLelang() {
        $("#actionLelang").val("ulang")
        return confirm('&{'nonlelang.confirm_mengulang'}');
    }

    #{if allowPersetujuan}
        //pengaturan untuk tombol setuju dan tidak setuju
        $(document).ready(function() {
            btnPersetujuan($("#alasan"));
        });
        $(document).on('keyup','#alasan', function(){
            btnPersetujuan(this);
        });

        function btnPersetujuan(e){
            var val = $(e).val();
            if(val != ""){
                $("#setuju").attr("disabled", true);
                $("#tidak-setuju").attr("disabled", false);
            }else{
                $("#setuju").attr("disabled", false);
                $("#tidak-setuju").attr("disabled", true);
            }
        }
    #{/if}
</script>
#{/set}
